libzypp 17.37.10

zypp::bit::RangeValue< TRange, _value > Struct Template Reference

A value with in a Range. More...

`#include <zypp/Bit.h>`

## Public Types
using | RangeT = TRange
using | IntT = typename TRange::IntT

## Static Public Attributes
static const IntT | value = _value << RangeT::begin

## Detailed Description

template<class TRange, typename TRange::IntT _value>
struct zypp::bit::RangeValue< TRange, _value >

A value with in a Range.

typedef Range<char,2,3> SubField; // bits 2,3,4 in a char field
SubField::Mask::value; // 00011100
RangeValue<SubField,0>::value; // 00000000
RangeValue<SubField,1>::value; // 00000100
RangeValue<SubField,2>::value; // 00001000
RangeValue<SubField,3>::value; // 00001100
zypp::bit::RangeValue::value
static const IntT value
Definition Bit.h:115
zypp::bit::Range
Range of bits starting at bit _begin with length _size.
Definition Bit.h:82

Definition at line 110 of file Bit.h.

## Member Typedef Documentation

## ◆ RangeT

template<class TRange, typename TRange::IntT _value>

using zypp::bit::RangeValue< TRange, _value >::RangeT = TRange

Definition at line 112 of file Bit.h.

## ◆ IntT

template<class TRange, typename TRange::IntT _value>

using zypp::bit::RangeValue< TRange, _value >::IntT = typename TRange::IntT

Definition at line 113 of file Bit.h.

## Member Data Documentation

## ◆ value

template<class TRange, typename TRange::IntT _value>

const IntT zypp::bit::RangeValue< TRange, _value >::value = _value << RangeT::begin
| static

Definition at line 115 of file Bit.h.

The documentation for this struct was generated from the following file:

- zypp/Bit.h